function loading_show(loadText) {
	var text = loadText ? loadText : "加载中...";
	$.mobile.loading('show', {
		text : text,
		textVisible : true,
		theme : 'b',
		html : ""
	});
}

function loading_hide() {
	$.mobile.loading('hide');
}

function getErrorMsgByResult(result) {
	if (result == "noInfo")
		return "查询不到相关数据.";
	if (result == "error")
		return "非常抱歉！系统出错了！";
	if (result == "unValidateResult")
		return "您的访问被服务器拒绝！请确认您是通过民生网应用平台进行登录并从应用入口进入。";
	if (result == "siCardUnassociatedResult")
		return "身份证、社保卡号或保险号未在个人账户中进行设置！";
	return "操作失败";
}

function getErrorMsgByResultHtml(result) {
	if (result == "noInfo")
		return getInfoHtml("查询不到相关数据.");
	if (result == "error")
		return getErrorHtml("系统出错了！");
	if (result == "unValidateResult")
		return getErrorHtml("您的访问被服务器拒绝，请确认您是通过民生网应用平台进行登录并从应用入口进入。");
	if (result == "siCardUnassociatedResult")
		return getWarnHtml("身份证、社保卡号或保险号未在个人账户中进行设置！");
	return getErrorHtml(result.resultMsg);
}

document.write("<script language='javascript' src='../../codedata.js' ></script>");
function getCodeValue(aaa100, aaa102) {
	if (typeof (array) == "undefined")
		return aaa102;
	for ( var i = 0; i < array.length; i++) {
		var aa10 = array[i];
		var array_aa10 = aa10.split(",");
		var s_aaa100 = array_aa10[0].substring(1, array_aa10[0].length);
		var s_aaa102 = array_aa10[1];
		var s_aaa103 = array_aa10[2].substring(0, array_aa10[2].length - 1);
		if (aaa100 == s_aaa100 && aaa102 == s_aaa102) {
			if (s_aaa103 == null || s_aaa103 == 'null') {
				s_aaa103 = "";
			}
			return s_aaa103;
		}
	}
	if (aaa102 == null) {
		aaa102 = "";
	}
	return aaa102;
}

/**
 * 是否加载完成
 * 
 * @param {} pageSize 每页大小
 * @param {} currentPage 当前页
 * @param {} total 总记录数
 * @return {Boolean} 加载完成返回true，否则返回false。
 */
function isLoadEnd(pageSize, currentPage, total) {
	var totalPageNo = total % pageSize == 0 && total != 0 ? total / pageSize : parseInt((total / pageSize) + 1);
	if (parseInt(currentPage) == totalPageNo)
		return true;
	return false;
}

/**
 * 浏览器高度处理
 * 
 * @param {} docID 区域ID
 * @return {Boolean}
 */
function browserPlatform(docID) {
	var sUserAgent = navigator.userAgent.toLowerCase();
	try {
		if (sUserAgent.match(/ipad/i) == "ipad" || sUserAgent.match(/iphone os/i) == "iphone os") {
			$("#" + docID).height(window.screen.availHeight);
			return true;
		}
	} catch (e) {
	}
	$("#" + docID).height($(window).height());
	return false;
}

/**
 * 滚动事件
 * 
 * @param {} docID 要滚动的区域ID
 * @param {} FunC 滚动到底部出发的事件
 */
function doScroll(docID, FunC) {
	browserPlatform(docID);
	var nScrollHight = 0; // 滚动距离总长(注意不是滚动条的长度)
	var nScrollTop = 0; // 滚动到的当前位置
	var nDivHight = window.screen.availHeight;
	$("#" + docID).scroll(function() {
		nScrollHight = $(this)[0].scrollHeight;
		nScrollTop = $(this)[0].scrollTop;
		if (nScrollTop + nDivHight >= nScrollHight) {
			FunC();
		}
	});
}

var browser = {
	versions : function() {
		var u = navigator.userAgent, app = navigator.appVersion;
		return {
			trident : u.indexOf('Trident') > -1, // IE内核
			presto : u.indexOf('Presto') > -1, // opera内核
			webKit : u.indexOf('AppleWebKit') > -1, // 苹果、谷歌内核
			gecko : u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, // 火狐内核
			mobile : !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), // 是否为移动终端
			ios : !!u.match(/(i[^;]+\;(U;)? CPU.+Mac OS X)/), // ios终端
			android : u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, // android终端或者uc浏览器
			iPhone : u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, // 是否为iPhone或者QQHD浏览器
			iPad : u.indexOf('iPad') > -1, // 是否iPad
			webApp : u.indexOf('Safari') == -1
		// 是否web应该程序，没有头部与底部
		};
	}(),
	language : (navigator.browserLanguage || navigator.language).toLowerCase()
};

/**
 * 年月日期格式化
 * 
 * @param dateStr
 * @returns
 */
function YearMonth(dateStr){
	if (dateStr == null)
		return dateStr;
	if (dateStr.indexOf("-") >= 0)
		return dateStr;
	if (dateStr.indexOf("/") >= 0)
		return dateStr;
	if (dateStr.length < 6)
		return dateStr;
	return dateStr.substr(0, 4) + "-" + dateStr.substr(4, 2);
}
function YearMonthDay(dateStr){
	if (dateStr == null)
		return dateStr;
	if (dateStr.indexOf("-") >= 0)
		return dateStr;
	if (dateStr.indexOf("/") >= 0)
		return dateStr;
	if (dateStr.length < 8)
		return dateStr;
	return dateStr.substr(0, 4) + "-" + dateStr.substr(4, 2)+"-"+dateStr.substr(6, 2);
}
function YearMonth6For7(dateStr) {
	if (dateStr == null)
		return dateStr;
	if (dateStr.indexOf("-") >= 0)
		return dateStr;
	if (dateStr.indexOf("/") >= 0)
		return dateStr;
	if (dateStr.length < 6)
		return dateStr;
	return dateStr.substr(0, 4) + "-" + dateStr.substr(4, 2);
}

/**
 * 年月日期格式化
 * 
 * @param dateStr
 * @returns
 */
function YearMonth7For6(dateStr) {
	if (dateStr == null)
		return dateStr;
	dateStr = dateStr.replace("-", "");
	return dateStr;
}

function getNowYearMonth() {
	var date = new Date();
	var month = date.getMonth() + 1;
	if (month <= 9)
		month = "0" + month;
	return date.getFullYear() + "-" + month;
}

function getPrevYearMonth() {
	var date = new Date();
	var month = date.getMonth() + 1;
	if (month <= 9)
		month = "0" + month;
	return (date.getFullYear() - 1) + "-" + month;
}
function date8For10(dateStr) {
	if (dateStr == null)
		return dateStr;
	if (dateStr.indexOf("-") >= 0)
		return dateStr;
	if (dateStr.indexOf("/") >= 0)
		return dateStr;
	if (dateStr.length < 8)
		return dateStr;
	return dateStr.substr(0, 4) + "-" + dateStr.substr(4, 2) + "-" + dateStr.substr(6, 2);
}
function date10For8(dateStr) {
	if (dateStr == null)
		return dateStr;
	dateStr = dateStr.replace("-", "").replace("-", "");
	return dateStr;
}
function getNowDate() {
	var date = new Date();
	var month = date.getMonth() + 1;
	var day = date.getDate();
	
	if (month <= 9)
		month = "0" + month;
	if (day <= 9)
		day = "0" + day;
	return date.getFullYear() + "-" + month + "-" + day;
}

function getPrevYearDate() {
	var date = new Date();
	var month = date.getMonth() + 1;
	var day = date.getDate();
	
	if (month <= 9)
		month = "0" + month;
	if (day <= 9)
		day = "0" + day;
	return (date.getFullYear() - 1) + "-" + month + "-" + day;
}

function getUrlParams() {
	var url = decodeURI(location.search);
	var params = new Object();
	if (url.indexOf("?") != -1) {
		var str = url.substr(1);
		if (str.indexOf("&") != -1) {
			strs = str.split("&");
			for ( var i = 0; i < strs.length; i++) {
				params[strs[i].split("=")[0]] = strs[i].split("=")[1];
			}
		} else {
			params[str.split("=")[0]] = str.split("=")[1];
		}
	}
	return params;
}

function getErrorHtml(errorMsg) {
	if(!errorMsg){
		errorMsg="查询失败，请稍后重试！"
	}
	return '<div class="alert alert-danger">' + errorMsg + '</div>';
}
function getWarnHtml(warnMsg) {
	return '<div class="alert alert-warning">' + warnMsg + '</div>';
}
function getSuccessHtml(successMsg) {
	return '<div class="alert alert-success">' + successMsg + '</div>';
}
function getInfoHtml(msg) {
	return '<div class="alert alert-info">' + msg + '</div>';
}

function JQMTip(msg) {
	$.mobile.loading('show', {
		text : msg,
		textVisible : true,
		theme : '',
		textonly:true
	});
	
	setTimeout(function(){
		$.mobile.loading('hide');
	},3000);
}

function checkTimeQueryCondition(id, aae030, aae031) {
	if (aae030 == "") {
		$("#"+id+"").html(getErrorHtml('开始时间不能为空'));
		return false;
	}
	if (aae031 == "") {
		$("#"+id+"").html(getErrorHtml('截止时间不能为空'));
		return false;
	}
	
	if (aae030 > aae031) {
		$("#"+id+"").html(getErrorHtml('开始时间不能大于截止时间'));
		return false;
	}
	
	return true;
}